OTFScript (Apache FOP Core 2.11 API)
Date: 2025-04-24

org.apache.fop.complexscripts.fonts

## Class OTFScript

- java.lang.Object
- - org.apache.fop.complexscripts.fonts.OTFScript

-     public final class OTFScript
      extends Object

  Script tags defined by OTF specification. Note that this set and their values do not correspond with ISO 15924 or Unicode Script names.

  This work was originally authored by Glenn Adams (gadams@apache.org).

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ARABIC`
    `static String` | `ARMENIAN`
    `static String` | `AVESTAN`
    `static String` | `BALINESE`
    `static String` | `BAMUM`
    `static String` | `BATAK`
    `static String` | `BENGALI`
    `static String` | `BENGALI_V2`
    `static String` | `BOPOMOFO`
    `static String` | `BRAHMI`
    `static String` | `BRAILLE`
    `static String` | `BUGINESE`
    `static String` | `BUHID`
    `static String` | `BYZANTINE_MUSIC`
    `static String` | `CANADIAN_SYLLABICS`
    `static String` | `CARIAN`
    `static String` | `CHAKMA`
    `static String` | `CHAM`
    `static String` | `CHEROKEE`
    `static String` | `CJK_IDEOGRAPHIC`
    `static String` | `COPTIC`
    `static String` | `CYPRIOT_SYLLABARY`
    `static String` | `CYRILLIC`
    `static String` | `DEFAULT`
    `static String` | `DESERET`
    `static String` | `DEVANAGARI`
    `static String` | `DEVANAGARI_V2`
    `static String` | `EGYPTIAN_HEIROGLYPHS`
    `static String` | `ETHIOPIC`
    `static String` | `GEORGIAN`
    `static String` | `GLAGOLITIC`
    `static String` | `GOTHIC`
    `static String` | `GREEK`
    `static String` | `GUJARATI`
    `static String` | `GUJARATI_V2`
    `static String` | `GURMUKHI`
    `static String` | `GURMUKHI_V2`
    `static String` | `HANGUL`
    `static String` | `HANGUL_JAMO`
    `static String` | `HANUNOO`
    `static String` | `HEBREW`
    `static String` | `HIRAGANA`
    `static String` | `IMPERIAL_ARAMAIC`
    `static String` | `INSCRIPTIONAL_PAHLAVI`
    `static String` | `INSCRIPTIONAL_PARTHIAN`
    `static String` | `JAVANESE`
    `static String` | `KAITHI`
    `static String` | `KANNADA`
    `static String` | `KANNADA_V2`
    `static String` | `KATAKANA`
    `static String` | `KAYAH_LI`
    `static String` | `KHAROSTHI`
    `static String` | `KHMER`
    `static String` | `LAO`
    `static String` | `LATIN`
    `static String` | `LEPCHA`
    `static String` | `LIMBU`
    `static String` | `LINEAR_B`
    `static String` | `LISU`
    `static String` | `LYCIAN`
    `static String` | `LYDIAN`
    `static String` | `MALAYALAM`
    `static String` | `MALAYALAM_V2`
    `static String` | `MANDAIC`
    `static String` | `MATHEMATICAL_ALPHANUMERIC_SYMBOLS`
    `static String` | `MEITEI`
    `static String` | `MEROITIC_CURSIVE`
    `static String` | `MEROITIC_HIEROGLYPHS`
    `static String` | `MONGOLIAN`
    `static String` | `MUSICAL_SYMBOLS`
    `static String` | `MYANMAR`
    `static String` | `NEW_TAI_LUE`
    `static String` | `NKO`
    `static String` | `OGHAM`
    `static String` | `OL_CHIKI`
    `static String` | `OLD_ITALIC`
    `static String` | `OLD_PERSIAN_CUNEIFORM`
    `static String` | `OLD_SOUTH_ARABIAN`
    `static String` | `OLD_TURKIC`
    `static String` | `ORIYA`
    `static String` | `ORIYA_V2`
    `static String` | `OSMANYA`
    `static String` | `PHAGS_PA`
    `static String` | `PHOENICIAN`
    `static String` | `REJANG`
    `static String` | `RUNIC`
    `static String` | `SAMARITAN`
    `static String` | `SAURASHTRA`
    `static String` | `SHARADA`
    `static String` | `SHAVIAN`
    `static String` | `SINHALA`
    `static String` | `SORA_SOMPENG`
    `static String` | `SUMERO_AKKADIAN_CUNEIFORM`
    `static String` | `SUNDANESE`
    `static String` | `SYLOTI_NAGRI`
    `static String` | `SYRIAC`
    `static String` | `TAGALOG`
    `static String` | `TAGBANWA`
    `static String` | `TAI_LE`
    `static String` | `TAI_THAM`
    `static String` | `TAI_VIET`
    `static String` | `TAKRI`
    `static String` | `TAMIL`
    `static String` | `TAMIL_V2`
    `static String` | `TELUGU`
    `static String` | `TELUGU_V2`
    `static String` | `THAANA`
    `static String` | `THAI`
    `static String` | `TIBETAN`
    `static String` | `TIFINAGH`
    `static String` | `UGARITIC_CUNEIFORM`
    `static String` | `VAI`
    `static String` | `WILDCARD`
    `static String` | `YI`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `isDefault(String script)`
    `static boolean` | `isWildCard(String script)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ARABIC

          public static final String ARABIC

      See Also:
        Constant Field Values

    - #### ARMENIAN

          public static final String ARMENIAN

      See Also:
        Constant Field Values

    - #### AVESTAN

          public static final String AVESTAN

      See Also:
        Constant Field Values

    - #### BALINESE

          public static final String BALINESE

      See Also:
        Constant Field Values

    - #### BAMUM

          public static final String BAMUM

      See Also:
        Constant Field Values

    - #### BATAK

          public static final String BATAK

      See Also:
        Constant Field Values

    - #### BENGALI

          public static final String BENGALI

      See Also:
        Constant Field Values

    - #### BENGALI_V2

          public static final String BENGALI_V2

      See Also:
        Constant Field Values

    - #### BOPOMOFO

          public static final String BOPOMOFO

      See Also:
        Constant Field Values

    - #### BRAILLE

          public static final String BRAILLE

      See Also:
        Constant Field Values

    - #### BRAHMI

          public static final String BRAHMI

      See Also:
        Constant Field Values

    - #### BUGINESE

          public static final String BUGINESE

      See Also:
        Constant Field Values

    - #### BUHID

          public static final String BUHID

      See Also:
        Constant Field Values

    - #### BYZANTINE_MUSIC

          public static final String BYZANTINE_MUSIC

      See Also:
        Constant Field Values

    - #### CANADIAN_SYLLABICS

          public static final String CANADIAN_SYLLABICS

      See Also:
        Constant Field Values

    - #### CARIAN

          public static final String CARIAN

      See Also:
        Constant Field Values

    - #### CHAKMA

          public static final String CHAKMA

      See Also:
        Constant Field Values

    - #### CHAM

          public static final String CHAM

      See Also:
        Constant Field Values

    - #### CHEROKEE

          public static final String CHEROKEE

      See Also:
        Constant Field Values

    - #### CJK_IDEOGRAPHIC

          public static final String CJK_IDEOGRAPHIC

      See Also:
        Constant Field Values

    - #### COPTIC

          public static final String COPTIC

      See Also:
        Constant Field Values

    - #### CYPRIOT_SYLLABARY

          public static final String CYPRIOT_SYLLABARY

      See Also:
        Constant Field Values

    - #### CYRILLIC

          public static final String CYRILLIC

      See Also:
        Constant Field Values

    - #### DEFAULT

          public static final String DEFAULT

      See Also:
        Constant Field Values

    - #### DESERET

          public static final String DESERET

      See Also:
        Constant Field Values

    - #### DEVANAGARI

          public static final String DEVANAGARI

      See Also:
        Constant Field Values

    - #### DEVANAGARI_V2

          public static final String DEVANAGARI_V2

      See Also:
        Constant Field Values

    - #### EGYPTIAN_HEIROGLYPHS

          public static final String EGYPTIAN_HEIROGLYPHS

      See Also:
        Constant Field Values

    - #### ETHIOPIC

          public static final String ETHIOPIC

      See Also:
        Constant Field Values

    - #### GEORGIAN

          public static final String GEORGIAN

      See Also:
        Constant Field Values

    - #### GLAGOLITIC

          public static final String GLAGOLITIC

      See Also:
        Constant Field Values

    - #### GOTHIC

          public static final String GOTHIC

      See Also:
        Constant Field Values

    - #### GREEK

          public static final String GREEK

      See Also:
        Constant Field Values

    - #### GUJARATI

          public static final String GUJARATI

      See Also:
        Constant Field Values

    - #### GUJARATI_V2

          public static final String GUJARATI_V2

      See Also:
        Constant Field Values

    - #### GURMUKHI

          public static final String GURMUKHI

      See Also:
        Constant Field Values

    - #### GURMUKHI_V2

          public static final String GURMUKHI_V2

      See Also:
        Constant Field Values

    - #### HANGUL

          public static final String HANGUL

      See Also:
        Constant Field Values

    - #### HANGUL_JAMO

          public static final String HANGUL_JAMO

      See Also:
        Constant Field Values

    - #### HANUNOO

          public static final String HANUNOO

      See Also:
        Constant Field Values

    - #### HEBREW

          public static final String HEBREW

      See Also:
        Constant Field Values

    - #### HIRAGANA

          public static final String HIRAGANA

      See Also:
        Constant Field Values

    - #### IMPERIAL_ARAMAIC

          public static final String IMPERIAL_ARAMAIC

      See Also:
        Constant Field Values

    - #### INSCRIPTIONAL_PAHLAVI

          public static final String INSCRIPTIONAL_PAHLAVI

      See Also:
        Constant Field Values

    - #### INSCRIPTIONAL_PARTHIAN

          public static final String INSCRIPTIONAL_PARTHIAN

      See Also:
        Constant Field Values

    - #### JAVANESE

          public static final String JAVANESE

      See Also:
        Constant Field Values

    - #### KAITHI

          public static final String KAITHI

      See Also:
        Constant Field Values

    - #### KANNADA

          public static final String KANNADA

      See Also:
        Constant Field Values

    - #### KANNADA_V2

          public static final String KANNADA_V2

      See Also:
        Constant Field Values

    - #### KATAKANA

          public static final String KATAKANA

      See Also:
        Constant Field Values

    - #### KAYAH_LI

          public static final String KAYAH_LI

      See Also:
        Constant Field Values

    - #### KHAROSTHI

          public static final String KHAROSTHI

      See Also:
        Constant Field Values

    - #### KHMER

          public static final String KHMER

      See Also:
        Constant Field Values

    - #### LAO

          public static final String LAO

      See Also:
        Constant Field Values

    - #### LATIN

          public static final String LATIN

      See Also:
        Constant Field Values

    - #### LEPCHA

          public static final String LEPCHA

      See Also:
        Constant Field Values

    - #### LIMBU

          public static final String LIMBU

      See Also:
        Constant Field Values

    - #### LINEAR_B

          public static final String LINEAR_B

      See Also:
        Constant Field Values

    - #### LISU

          public static final String LISU

      See Also:
        Constant Field Values

    - #### LYCIAN

          public static final String LYCIAN

      See Also:
        Constant Field Values

    - #### LYDIAN

          public static final String LYDIAN

      See Also:
        Constant Field Values

    - #### MALAYALAM

          public static final String MALAYALAM

      See Also:
        Constant Field Values

    - #### MALAYALAM_V2

          public static final String MALAYALAM_V2

      See Also:
        Constant Field Values

    - #### MANDAIC

          public static final String MANDAIC

      See Also:
        Constant Field Values

    - #### MATHEMATICAL_ALPHANUMERIC_SYMBOLS

          public static final String MATHEMATICAL_ALPHANUMERIC_SYMBOLS

      See Also:
        Constant Field Values

    - #### MEITEI

          public static final String MEITEI

      See Also:
        Constant Field Values

    - #### MEROITIC_CURSIVE

          public static final String MEROITIC_CURSIVE

      See Also:
        Constant Field Values

    - #### MEROITIC_HIEROGLYPHS

          public static final String MEROITIC_HIEROGLYPHS

      See Also:
        Constant Field Values

    - #### MONGOLIAN

          public static final String MONGOLIAN

      See Also:
        Constant Field Values

    - #### MUSICAL_SYMBOLS

          public static final String MUSICAL_SYMBOLS

      See Also:
        Constant Field Values

    - #### MYANMAR

          public static final String MYANMAR

      See Also:
        Constant Field Values

    - #### NEW_TAI_LUE

          public static final String NEW_TAI_LUE

      See Also:
        Constant Field Values

    - #### NKO

          public static final String NKO

      See Also:
        Constant Field Values

    - #### OGHAM

          public static final String OGHAM

      See Also:
        Constant Field Values

    - #### OL_CHIKI

          public static final String OL_CHIKI

      See Also:
        Constant Field Values

    - #### OLD_ITALIC

          public static final String OLD_ITALIC

      See Also:
        Constant Field Values

    - #### OLD_PERSIAN_CUNEIFORM

          public static final String OLD_PERSIAN_CUNEIFORM

      See Also:
        Constant Field Values

    - #### OLD_SOUTH_ARABIAN

          public static final String OLD_SOUTH_ARABIAN

      See Also:
        Constant Field Values

    - #### OLD_TURKIC

          public static final String OLD_TURKIC

      See Also:
        Constant Field Values

    - #### ORIYA

          public static final String ORIYA

      See Also:
        Constant Field Values

    - #### ORIYA_V2

          public static final String ORIYA_V2

      See Also:
        Constant Field Values

    - #### OSMANYA

          public static final String OSMANYA

      See Also:
        Constant Field Values

    - #### PHAGS_PA

          public static final String PHAGS_PA

      See Also:
        Constant Field Values

    - #### PHOENICIAN

          public static final String PHOENICIAN

      See Also:
        Constant Field Values

    - #### REJANG

          public static final String REJANG

      See Also:
        Constant Field Values

    - #### RUNIC

          public static final String RUNIC

      See Also:
        Constant Field Values

    - #### SAMARITAN

          public static final String SAMARITAN

      See Also:
        Constant Field Values

    - #### SAURASHTRA

          public static final String SAURASHTRA

      See Also:
        Constant Field Values

    - #### SHARADA

          public static final String SHARADA

      See Also:
        Constant Field Values

    - #### SHAVIAN

          public static final String SHAVIAN

      See Also:
        Constant Field Values

    - #### SINHALA

          public static final String SINHALA

      See Also:
        Constant Field Values

    - #### SORA_SOMPENG

          public static final String SORA_SOMPENG

      See Also:
        Constant Field Values

    - #### SUMERO_AKKADIAN_CUNEIFORM

          public static final String SUMERO_AKKADIAN_CUNEIFORM

      See Also:
        Constant Field Values

    - #### SUNDANESE

          public static final String SUNDANESE

      See Also:
        Constant Field Values

    - #### SYLOTI_NAGRI

          public static final String SYLOTI_NAGRI

      See Also:
        Constant Field Values

    - #### SYRIAC

          public static final String SYRIAC

      See Also:
        Constant Field Values

    - #### TAGALOG

          public static final String TAGALOG

      See Also:
        Constant Field Values

    - #### TAGBANWA

          public static final String TAGBANWA

      See Also:
        Constant Field Values

    - #### TAI_LE

          public static final String TAI_LE

      See Also:
        Constant Field Values

    - #### TAI_THAM

          public static final String TAI_THAM

      See Also:
        Constant Field Values

    - #### TAI_VIET

          public static final String TAI_VIET

      See Also:
        Constant Field Values

    - #### TAKRI

          public static final String TAKRI

      See Also:
        Constant Field Values

    - #### TAMIL

          public static final String TAMIL

      See Also:
        Constant Field Values

    - #### TAMIL_V2

          public static final String TAMIL_V2

      See Also:
        Constant Field Values

    - #### TELUGU

          public static final String TELUGU

      See Also:
        Constant Field Values

    - #### TELUGU_V2

          public static final String TELUGU_V2

      See Also:
        Constant Field Values

    - #### THAANA

          public static final String THAANA

      See Also:
        Constant Field Values

    - #### THAI

          public static final String THAI

      See Also:
        Constant Field Values

    - #### TIBETAN

          public static final String TIBETAN

      See Also:
        Constant Field Values

    - #### TIFINAGH

          public static final String TIFINAGH

      See Also:
        Constant Field Values

    - #### UGARITIC_CUNEIFORM

          public static final String UGARITIC_CUNEIFORM

      See Also:
        Constant Field Values

    - #### VAI

          public static final String VAI

      See Also:
        Constant Field Values

    - #### WILDCARD

          public static final String WILDCARD

      See Also:
        Constant Field Values

    - #### YI

          public static final String YI

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### isDefault

          public static boolean isDefault(String script)

    - #### isWildCard

          public static boolean isWildCard(String script)

Copyright © 2025 Apache Software Foundation. All rights reserved.